Show completed payment summary
curl --request GET \
--url https://api.consumer.younegotiate.com/accounts/{consumer}/payments/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.consumer.younegotiate.com/accounts/{consumer}/payments/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.consumer.younegotiate.com/accounts/{consumer}/payments/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"consumer_id": 88,
"full_name": "Sem Karan",
"address": {
"address1": "4240 Centennial Farm Road",
"address2": "<string>",
"city": "New York",
"state": "NY",
"zip": "10022"
},
"account": {
"name": "Medical Account",
"number": "6678222240045226",
"member_account_number": "511220"
},
"company": {
"name": "Acme Agency"
},
"balances": {
"original": "4000.00",
"negotiated_payoff": "3400.00"
},
"agreement": {
"available": true,
"filename": "6678222240045226_you_negotiate_agreement.pdf"
},
"transactions": [
{
"record_key": "<string>",
"payment_date": "2023-12-25",
"transaction_id": "<string>",
"payment_method": {
"last_four": "4242",
"label": "CARD (xx-4242)"
},
"amount": "340.00",
"status": {
"label": "Scheduled"
}
}
]
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"code": "profile_incomplete",
"message": "Please complete your communication profile before viewing accounts.",
"required_steps": [
"profile_communication"
]
}Show completed payment summary
Show the compact Your Payment Summary payload for one owned settled account. The negotiated payoff total is the sum of successful transactions. Successful transaction rows are returned first, followed by cancelled schedule rows represented as payments made outside. Use the existing agreement endpoint to download the PDF.
GET
/
accounts
/
{consumer}
/
payments
/
summary
Show completed payment summary
Last modified on July 19, 2026
Was this page helpful?
⌘I

